<%  
'浏览新闻计数加1
set rscount=conn.execute("select * from news")
sql="UPDATE news SET news_count = news_count + 1 where news_id="&clng(request.querystring("news_id"))
conn.execute (sql)
rscount.close
set rscount=Nothing
%>
<% 
sql="select * from news where news_id="&clng(request.querystring("news_id"))
set rs=server.createobject("adodb.recordset")
rs.open sql,conn,1,1
 %>

<table width="96%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="40" align="center"> <span class=name><%=rs("news_title")%></span></td>
  </tr>
  <tr>
    <td height="50" align="center" valign="top"><font color=#999999>日期：<%=rs("news_date")%> 查看：<%=rs("news_count")%></font></td>
  </tr>
  <tr>
    <td valign="middle" style="line-height:30px;"><%=rs("news_content")%></td>
  </tr>
</table>
                                                  <%
set rs=server.createobject("ADODB.Recordset")
sql="select * from P_info where p_other = 0 "
classType = request("classType")
smallclass = request("smallclass")
key = request("key")
if classType <> "" then
	sql = sql & " and p_type = '"&classType&"'"
end if
if smallclass <> "" then
	sql = sql & " and p_small_type = '"&smallclass&"'"
end if
if key <> "" then
	sql = sql & " and p_name like '%"&key&"%'"
end if

sql = sql & " order by p_id desc"
rs.open sql,conn,1,1

if not isempty(request("page")) then   
pagecount=cint(request("page"))   
else   
pagecount=1
end if

%>
                                                  <%
rs.close
set rs=nothing
%>